Swiftpack.co - Package - overtrue/wechat

EasyWeChat Logo

📦 It is probably the best SDK in the world for developing Wechat App.

Build Status Latest Stable Version Latest Unstable Version Build Status Scrutinizer Code Quality Code Coverage Total Downloads License

Special thanks to the generous sponsorship by:

关注我的公众号我们一起聊聊代码怎么样?

Features

Requirement

  1. PHP >= 7.0
  2. Composer
  3. openssl 拓展
  4. fileinfo 拓展(素材管理模块需要用到)

Installation

$ composer require "overtrue/wechat:~4.0" -vvv

Usage

基本使用(以服务端为例):

<?php

use EasyWeChat\Factory;

$options = [
    'app_id'    => 'wx3cf0f39249eb0exxx',
    'secret'    => 'f1c242f4f28f735d4687abb469072xxx',
    'token'     => 'easywechat',
    'log' => [
        'level' => 'debug',
        'file'  => '/tmp/easywechat.log',
    ],
    // ...
];

$app = Factory::officialAccount($options);

$server = $app->server;
$user = $app->user;

$server->push(function($message) use ($user) {
    $fromUser = $user->get($message['FromUserName']);

    return "{$fromUser->nickname} 您好!欢迎关注 overtrue!";
});

$server->serve()->send();

更多请参考 https://www.easywechat.com/

Documentation

官网 · 教程 · 讨论 · 微信公众平台 · WeChat Official

Integration

Laravel 5 拓展包: overtrue/laravel-wechat

Contribution

Contribution Guide

License

MIT

Github

link
Stars: 6028
Help us keep the lights on

Dependencies

Used By

Total: 0

Releases

4.0.12 - Jan 15, 2018

  • Fix message type.

4.0.11 - Jan 13, 2018

4.0.10 - Jan 13, 2018

  • Fix WeChat payment notify handler issue.

4.0.9 - Jan 12, 2018

  • Fixed #1096

4.0.8 - Jan 9, 2018